Bug 52384 - PR16923 execution test fails
Summary: PR16923 execution test fails
Status: UNCONFIRMED
Alias: None
Product: gcc
Classification: Unclassified
Component: java (show other bugs)
Version: 4.7.0
: P3 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-25 23:51 UTC by Jack Howarth
Modified: 2012-02-26 02:16 UTC (History)
0 users

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jack Howarth 2012-02-25 23:51:49 UTC
The PR16923 execution test has been failing for some time now. In current gcc trunk it appears as...

Assertion failed: (class_id), function main, file /sw/src/fink.build/gcc47-4.7.0-1/gcc-4.7-20120224/libjava/testsuite/libjava.jni/invocation/PR16923.c, line 35.Abort

The test is compiled at -m64 as...

# /sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/gcc/xgcc -B/sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/gcc/ /sw/src/fink.build/gcc47-4.7.0-1/gcc-4.7-20120224/libjava/testsuite/libjava.jni/invocation/PR16923.c -bind_at_load -multiply_defined suppress -I. -I.. -I/sw/src/fink.build/gcc47-4.7.0-1/gcc-4.7-20120224/libjava/testsuite/libjava.jni -I/sw/src/fink.build/gcc47-4.7.0-1/gcc-4.7-20120224/libjava/testsuite/../include -I/sw/src/fink.build/gcc47-4.7.0-1/gcc-4.7-20120224/libjava/testsuite/../classpath/include -fdollars-in-identifiers -L/sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/x86_64-apple-darwin11.3.0/./libjava/.libs -ljvm -shared-libgcc -lgcj -L/sw/lib -liconv -lm -v -o PR16923
Reading specs from /sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/gcc/specs
COLLECT_GCC=/sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/gcc/xgcc
COLLECT_LTO_WRAPPER=/sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/gcc/lto-wrapper
Target: x86_64-apple-darwin11.3.0
Configured with: ../gcc-4.7-20120224/configure --prefix=/sw --prefix=/sw/lib/gcc4.7 --mandir=/sw/share/man --infodir=/sw/lib/gcc4.7/info --enable-languages=c,c++,fortran,lto,objc,obj-c++,java --with-gmp=/sw --with-libiconv-prefix=/sw --with-ppl=/sw --with-cloog=/sw --with-mpc=/sw --with-system-zlib --x-includes=/usr/X11R6/include --x-libraries=/usr/X11R6/lib --program-suffix=-fsf-4.7 --enable-checking=release --enable-cloog-backend=isl
Thread model: posix
gcc version 4.7.0 20120224 (experimental) (GCC) 
COLLECT_GCC_OPTIONS='-mmacosx-version-min=10.7.3' '-B' '/sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/gcc/' '-Zbind_at_load' '-Zmultiply_defined' 'suppress' '-I' '.' '-I' '..' '-I' '/sw/src/fink.build/gcc47-4.7.0-1/gcc-4.7-20120224/libjava/testsuite/libjava.jni' '-I' '/sw/src/fink.build/gcc47-4.7.0-1/gcc-4.7-20120224/libjava/testsuite/../include' '-I' '/sw/src/fink.build/gcc47-4.7.0-1/gcc-4.7-20120224/libjava/testsuite/../classpath/include' '-fdollars-in-identifiers' '-L/sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/x86_64-apple-darwin11.3.0/./libjava/.libs' '-shared-libgcc' '-L/sw/lib' '-v' '-o' 'PR16923' '-mtune=core2'
 /sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/gcc/cc1 -quiet -v -I . -I .. -I /sw/src/fink.build/gcc47-4.7.0-1/gcc-4.7-20120224/libjava/testsuite/libjava.jni -I /sw/src/fink.build/gcc47-4.7.0-1/gcc-4.7-20120224/libjava/testsuite/../include -I /sw/src/fink.build/gcc47-4.7.0-1/gcc-4.7-20120224/libjava/testsuite/../classpath/include -iprefix /sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/gcc/../lib/gcc/x86_64-apple-darwin11.3.0/4.7.0/ -isystem /sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/gcc/include -isystem /sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/gcc/include-fixed -D__DYNAMIC__ /sw/src/fink.build/gcc47-4.7.0-1/gcc-4.7-20120224/libjava/testsuite/libjava.jni/invocation/PR16923.c -fPIC -quiet -dumpbase PR16923.c -mmacosx-version-min=10.7.3 -mtune=core2 -auxbase PR16923 -version -fdollars-in-identifiers -o /var/tmp//ccFRI8bD.s
GNU C (GCC) version 4.7.0 20120224 (experimental) (x86_64-apple-darwin11.3.0)
	compiled by GNU C version 4.7.0 20120224 (experimental), GMP version 5.0.4, MPFR version 3.1.0, MPC version 0.9
GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072
ignoring nonexistent directory "/sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/gcc/../lib/gcc/x86_64-apple-darwin11.3.0/4.7.0/include"
ignoring nonexistent directory "/sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/gcc/../lib/gcc/x86_64-apple-darwin11.3.0/4.7.0/include-fixed"
ignoring nonexistent directory "/sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/gcc/../lib/gcc/x86_64-apple-darwin11.3.0/4.7.0/../../../../x86_64-apple-darwin11.3.0/include"
ignoring nonexistent directory "/sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/gcc/../lib/gcc/../../lib/gcc/x86_64-apple-darwin11.3.0/4.7.0/include"
ignoring nonexistent directory "/usr/local/include"
ignoring nonexistent directory "/sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/gcc/../lib/gcc/../../include"
ignoring nonexistent directory "/sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/gcc/../lib/gcc/../../lib/gcc/x86_64-apple-darwin11.3.0/4.7.0/include-fixed"
ignoring nonexistent directory "/sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/gcc/../lib/gcc/../../lib/gcc/x86_64-apple-darwin11.3.0/4.7.0/../../../../x86_64-apple-darwin11.3.0/include"
#include "..." search starts here:
#include <...> search starts here:
 .
 ..
 /sw/src/fink.build/gcc47-4.7.0-1/gcc-4.7-20120224/libjava/testsuite/libjava.jni
 /sw/src/fink.build/gcc47-4.7.0-1/gcc-4.7-20120224/libjava/testsuite/../include
 /sw/src/fink.build/gcc47-4.7.0-1/gcc-4.7-20120224/libjava/testsuite/../classpath/include
 /sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/gcc/include
 /sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/gcc/include-fixed
 /usr/include
 /System/Library/Frameworks
 /Library/Frameworks
End of search list.
GNU C (GCC) version 4.7.0 20120224 (experimental) (x86_64-apple-darwin11.3.0)
	compiled by GNU C version 4.7.0 20120224 (experimental), GMP version 5.0.4, MPFR version 3.1.0, MPC version 0.9
GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072
Compiler executable checksum: b56349674d03a45250391e00741b3527
COLLECT_GCC_OPTIONS='-mmacosx-version-min=10.7.3' '-B' '/sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/gcc/' '-Zbind_at_load' '-Zmultiply_defined' 'suppress' '-I' '.' '-I' '..' '-I' '/sw/src/fink.build/gcc47-4.7.0-1/gcc-4.7-20120224/libjava/testsuite/libjava.jni' '-I' '/sw/src/fink.build/gcc47-4.7.0-1/gcc-4.7-20120224/libjava/testsuite/../include' '-I' '/sw/src/fink.build/gcc47-4.7.0-1/gcc-4.7-20120224/libjava/testsuite/../classpath/include' '-fdollars-in-identifiers' '-L/sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/x86_64-apple-darwin11.3.0/./libjava/.libs' '-shared-libgcc' '-L/sw/lib' '-v' '-o' 'PR16923' '-mtune=core2'
 /sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/gcc/as -arch x86_64 -force_cpusubtype_ALL -o /var/tmp//ccAU7MFi.o /var/tmp//ccFRI8bD.s
COMPILER_PATH=/sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/gcc/
LIBRARY_PATH=/sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/gcc/:/usr/lib/
COLLECT_GCC_OPTIONS='-mmacosx-version-min=10.7.3' '-B' '/sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/gcc/' '-Zbind_at_load' '-Zmultiply_defined' 'suppress' '-I' '.' '-I' '..' '-I' '/sw/src/fink.build/gcc47-4.7.0-1/gcc-4.7-20120224/libjava/testsuite/libjava.jni' '-I' '/sw/src/fink.build/gcc47-4.7.0-1/gcc-4.7-20120224/libjava/testsuite/../include' '-I' '/sw/src/fink.build/gcc47-4.7.0-1/gcc-4.7-20120224/libjava/testsuite/../classpath/include' '-fdollars-in-identifiers' '-L/sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/x86_64-apple-darwin11.3.0/./libjava/.libs' '-shared-libgcc' '-L/sw/lib' '-v' '-o' 'PR16923' '-mtune=core2'
 /sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/gcc/collect2 -dynamic -arch x86_64 -bind_at_load -macosx_version_min 10.7.3 -multiply_defined suppress -weak_reference_mismatches non-weak -o PR16923 -lcrt1.10.6.o -L/sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/x86_64-apple-darwin11.3.0/./libjava/.libs -L/sw/lib -L/sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/gcc /var/tmp//ccAU7MFi.o -ljvm -lgcj -liconv -no_compact_unwind -lSystem -lgcc_ext.10.5 -lgcc -lSystem -v
collect2 version 4.7.0 20120224 (experimental)
/sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/gcc/collect-ld -dynamic -arch x86_64 -bind_at_load -macosx_version_min 10.7.3 -multiply_defined suppress -weak_reference_mismatches non-weak -o PR16923 -lcrt1.10.6.o -L/sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/x86_64-apple-darwin11.3.0/./libjava/.libs -L/sw/lib -L/sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/gcc /var/tmp//ccAU7MFi.o -ljvm -lgcj -liconv -no_compact_unwind -lSystem -lgcc_ext.10.5 -lgcc -lSystem -v
@(#)PROGRAM:ld  PROJECT:ld64-128.2
Library search paths:
	/sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/x86_64-apple-darwin11.3.0/./libjava/.libs
	/sw/lib
	/sw/src/fink.build/gcc47-4.7.0-1/darwin_objdir/gcc
	/usr/lib
	/usr/local/lib
Framework search paths:
	/Library/Frameworks/
	/System/Library/Frameworks/

Could this be a reappearance of PR16923?
Comment 1 Jack Howarth 2012-02-26 01:55:38 UTC
Seems to be caused by some commit after r174664 but by r175063.
Comment 2 Jack Howarth 2012-02-26 02:16:09 UTC
(In reply to comment #1)
> Seems to be caused by some commit after r174664 but by r175063.

The only java related commits in this range are...

r174747 | rguenth | 2011-06-07 10:34:02 -0400 (Tue, 07 Jun 2011) | 6 lines

2011-06-07  Richard Guenther  <rguenther@suse.de>

        * decl.c (java_init_decl_processing): Call build_common_nodes,
        build_common_nodes_2 at the beginning.  Remove then duplicate
        initializations.

------------------------------------------------------------------------
r174743 | rguenth | 2011-06-07 09:01:27 -0400 (Tue, 07 Jun 2011) | 29 lines

2011-06-07  Richard Guenther  <rguenther@suse.de>

        * tree.c (build_common_tree_nodes): Also initialize size_type_node.
        Call set_sizetype from here.

        c-family/
        * c-common.c (c_common_nodes_and_builtins): Do not set
        size_type_node or call set_sizetype.

        go/
        * go-lang.c (go_langhook_init): Do not set
        size_type_node or call set_sizetype.

        fortran/
        * f95-lang.c (gfc_init_decl_processing): Do not set
        size_type_node or call set_sizetype.


        java/
        * decl.c (java_init_decl_processing): Properly initialize
        size_type_node.

        lto/
        * lto-lang.c (lto_init): Do not set
        size_type_node or call set_sizetype.

        ada/
        * gcc-interface/misc.c (gnat_init): Do not set
        size_type_node or call set_sizetype.